| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::ItemVersionsModel Class Reference
Inheritance diagram for Digikam::ItemVersionsModel:

## Public Slots
void | setPaintTree (bool paint)
void | slotAnimationStep ()

## Public Member Functions
| ItemVersionsModel (QObject *const parent=nullptr)
void | clearModelData ()
QString | currentSelectedImage () const
QModelIndex | currentSelectedImageIndex () const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
int | listIndexOf (const QString &item) const
bool | paintTree () const
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
void | setCurrentSelectedImage (const QString &path)
void | setupModelData (QList< QPair< QString, int > > &data)